# Class VariantsDecoderOptions

java.lang.Object
htsjdk.beta.plugin.variants.VariantsDecoderOptions

All Implemented Interfaces:
  `HtsDecoderOptions`

public class VariantsDecoderOptions extends Object implements HtsDecoderOptions

## Constructor Summary

Constructors
Constructor
Description
`VariantsDecoderOptions()`

## Method Summary

Modifier and Type
Method
Description
`Optional<Function<SeekableByteChannel, SeekableByteChannel>>`
`getIndexChannelTransformer()`
Get the channel transformer for the index resource.
`Optional<Function<SeekableByteChannel, SeekableByteChannel>>`
`getVariantsChannelTransformer()`
Get the channel transformer for the variants resource.
`VariantsDecoderOptions`
`setIndexChannelTransformer(Function<SeekableByteChannel, SeekableByteChannel> indexChannelTransformer)`
Set the channel transformer for the index resource.
`VariantsDecoderOptions`
`setVariantsChannelTransformer(Function<SeekableByteChannel, SeekableByteChannel> variantsChannelTransformer)`
Set the channel transformer for the variants resource.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VariantsDecoderOptions

public VariantsDecoderOptions()

## Method Details

### getVariantsChannelTransformer

@InternalAPI public Optional<Function<SeekableByteChannel, SeekableByteChannel>> getVariantsChannelTransformer()
Get the channel transformer for the variants resource. The channel transformer can be used to implement prefetching for the variants input.

Returns:
  the channel transformer for the reads resource if present, otherwise Optional.empty()

### setVariantsChannelTransformer

@InternalAPI public VariantsDecoderOptions setVariantsChannelTransformer(Function<SeekableByteChannel, SeekableByteChannel> variantsChannelTransformer)
Set the channel transformer for the variants resource. The channel transformer can be used to implement prefetching for the variants input.

Parameters:
  `variantsChannelTransformer` - the channel transformer to be used. may be null
Returns:
  updated VariantsDecoderOptions

### getIndexChannelTransformer

@InternalAPI public Optional<Function<SeekableByteChannel, SeekableByteChannel>> getIndexChannelTransformer()
Get the channel transformer for the index resource. The channel transformer can be used to implement prefetching for the index input.

Returns:
  the channel transformer for the index resource if present, otherwise Optional.empty()

### setIndexChannelTransformer

@InternalAPI public VariantsDecoderOptions setIndexChannelTransformer(Function<SeekableByteChannel, SeekableByteChannel> indexChannelTransformer)
Set the channel transformer for the index resource. The channel transformer can be used to implement prefetching for the index input.

Parameters:
  `indexChannelTransformer` - the channel transformer to be used. may be null.
Returns:
  updated VariantsDecoderOptions